Subject: Pemex - ENA Meeting
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 26 Oct 2001 13:23:00 -0700 (PDT)

Thank you for meeting with us this week. Speaking on behalf of Enron U.S. I know there was some very good clarification, information and hopefully action required by all the parties.

I look forward to working through some transportation/supply structures and will contact you next week to discuss.

I have also met with our legal team to discuss the commercial and legal issues related to the GISB ( under 30 day firm agreement ) and need to discuss the details with you to see if we can get the proper paper completed. I have also raised a draft Master Firm agreement ( to handle term structures) and will begin to review this for early next week also. 

Thanks in advance, 

Barry Tycholiz
Vice President
Enron North America